TimeAxisUnit
Keywords: org.jrobin.graph.TimeAxisUnit class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.graph
Class TimeAxisUnit

    java.lang.Object
      org.jrobin.graph.TimeAxisUnit

public class TimeAxisUnit
extends java.lang.Object

Class used to determine the chart grid shown on the X (time) axis.

Field Summary
`static int` | `DAY` constant for hours
`static int` | `FRIDAY`
`static int` | `HOUR` constant for minutes
`static int` | `MINUTE` constant for seconds
`static int` | `MONDAY` constant for years
`static int` | `MONTH` constant for weeks
`static int` | `SATURDAY`
`static int` | `SECOND`
`static int` | `SUNDAY`
`static int` | `THURSDAY`
`static int` | `TUESDAY`
`static int` | `WEDNESDAY`
`static int` | `WEEK` constant for days
`static int` | `YEAR` constant for months

Method Summary
`java.text.SimpleDateFormat` | `getDateFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECOND

    public static final int SECOND

See Also:
  Constant Field Values

### MINUTE

    public static final int MINUTE

  constant for seconds

  See Also:
    Constant Field Values

### HOUR

    public static final int HOUR

  constant for minutes

  See Also:
    Constant Field Values

### DAY

    public static final int DAY

  constant for hours

  See Also:
    Constant Field Values

### WEEK

    public static final int WEEK

  constant for days

  See Also:
    Constant Field Values

### MONTH

    public static final int MONTH

  constant for weeks

  See Also:
    Constant Field Values

### YEAR

    public static final int YEAR

  constant for months

  See Also:
    Constant Field Values

### MONDAY

    public static final int MONDAY

  constant for years

  See Also:
    Constant Field Values

### TUESDAY

    public static final int TUESDAY

See Also:
  Constant Field Values

### WEDNESDAY

    public static final int WEDNESDAY

See Also:
  Constant Field Values

### THURSDAY

    public static final int THURSDAY

See Also:
  Constant Field Values

### FRIDAY

    public static final int FRIDAY

See Also:
  Constant Field Values

### SATURDAY

    public static final int SATURDAY

See Also:
  Constant Field Values

### SUNDAY

    public static final int SUNDAY

See Also:
  Constant Field Values

Method Detail

### getDateFormat

    public java.text.SimpleDateFormat getDateFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD